import {
  styleExpressionProperty
} from "./chunk.ADPMTWTS.js";
import {
  GdsButton
} from "./chunk.VJPENO3A.js";
import {
  gdsCustomElement
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/button/fab/fab.styles.ts
import { css } from "lit";
var style = css`
  :host {
    position: fixed;
    inset: auto 2rem 2rem auto;
  }

  .button {
    /* TODO: Tokens! */
    box-shadow:
      0px 8px 12px 0px rgba(27, 27, 24, 0.15),
      0px 0px 1px 0px rgba(13, 13, 12, 0.3);
    height: calc(var(--_size) + 0.5rem);
  }
`;
var fab_styles_default = style;

// libs/core/src/components/button/fab/fab.ts
var GdsFab = class extends GdsButton {
  connectedCallback() {
    super.connectedCallback();
    this._dynamicStylesController.inject("FAB_styles", fab_styles_default);
  }
};
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFab.prototype, "position", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFab.prototype, "transform", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFab.prototype, "inset", 2);
GdsFab = __decorateClass([
  gdsCustomElement("gds-fab")
], GdsFab);

export {
  GdsFab
};
